<template>
  <v-app id="inspire">
    <v-navigation-drawer
      v-model="drawer"
      :permanent="!isMobile"
      :color="color"
      app
      class="nav_padding no_border white_border"
    >
      <v-list class="white_border" dense>
        <v-list-item two-line :class="miniVariant && 'px-0' && 'nav_padding'">
          <v-list-item-avatar>
            <img src="https://randomuser.me/api/portraits/men/81.jpg" />
          </v-list-item-avatar>

          <v-list-item-content>
            <v-list-item-title class="app_title"
              ><h3>Application</h3></v-list-item-title
            >
            <v-list-item-subtitle class="app_title"
              >Subtext</v-list-item-subtitle
            >
          </v-list-item-content>
        </v-list-item>

        <v-divider class="app_title"></v-divider>
        <div class="panel_wrapper">
          <div class="empty_panel" id="top_panel"></div>
        </div>

        <div class="panel_wrapper">
          <router-link
            to="/app/dashboard"
            v-bind:class="[this.panel_route_counter[0].css]"
            id="panel_0"
          >
            <div>
              <span class="one-line">
                <v-icon>mdi-home</v-icon>0:Dashboard
              </span>
            </div>
          </router-link>
        </div>

        <div class="panel_wrapper">
          <router-link
            to="/app/test"
            v-bind:class="[this.panel_route_counter[1].css]"
            id="panel_1"
          >
            <span class="one-line"> <v-icon>mdi-home</v-icon>1:Test </span>
          </router-link>
        </div>

        <div class="panel_wrapper">
          <router-link
            to="/app/test2"
            v-bind:class="[this.panel_route_counter[2].css]"
            id="panel_2"
          >
            <span class="one-line"> <v-icon>mdi-home</v-icon>2:Test 2 </span>
          </router-link>
        </div>

        <div class="panel_wrapper">
          <router-link
            to="/app/test3"
            v-bind:class="[this.panel_route_counter[3].css]"
            id="panel_3"
          >
            <span class="one-line"> <v-icon>mdi-home</v-icon>3:Test 3 </span>
          </router-link>
        </div>

        <div class="panel_wrapper">
          <div class="empty_panel" id="bottom_panel"></div>
        </div>
      </v-list>
    </v-navigation-drawer>

    <v-app-bar app :color="color" dark v-if="isMobile">
      <v-app-bar-nav-icon @click.stop="drawer = !drawer"></v-app-bar-nav-icon>
      <v-toolbar-title>Application</v-toolbar-title>
    </v-app-bar>

    <v-main>
      <v-container class="fill-height content_container no_border" fluid>
        <v-row align="center" justify="center" class="content_frame no_border">
          <router-view />
        </v-row>
      </v-container>
    </v-main>
  </v-app>
</template>

<script src="./Layout.js"></script>
<style scoped src="./Layout.css"></style>